com.smartgwt.client.widgets.form.events

## Class ItemChangedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<H>
      - - com.smartgwt.client.widgets.events.BrowserEvent<ItemChangedHandler>
        - - com.smartgwt.client.widgets.form.events.ItemChangedEvent

-     public class ItemChangedEvent
      extends BrowserEvent<ItemChangedHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemChangedEvent(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(ItemChangedHandler handler)`
    `static <S extends HasItemChangedHandlers & HasHandlers> void` | `fire(S source, JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `GwtEvent.Type<ItemChangedHandler>` | `getAssociatedType()`
    `FormItem` | `getItem()` the FormItem where the change event occurred
    `java.lang.Object` | `getNewValue()` new value for the FormItem
    `static GwtEvent.Type<ItemChangedHandler>` | `getType()` Gets the type associated with this event.

    - ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

      `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemChangedEvent

          public ItemChangedEvent(JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasItemChangedHandlers & HasHandlers> void fire(S source,
                                                                  JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static GwtEvent.Type<ItemChangedHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(ItemChangedHandler handler)

      Specified by:
        `dispatch` in class `GwtEvent<ItemChangedHandler>`

    - #### getAssociatedType

          public final GwtEvent.Type<ItemChangedHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `GwtEvent<ItemChangedHandler>`

    - #### getItem

          public FormItem getItem()

      the FormItem where the change event occurred
      Returns:
        the FormItem where the change event occurred

    - #### getNewValue

          public java.lang.Object getNewValue()

      new value for the FormItem
      Returns:
        new value for the FormItem